nav.navbar.navbar-expand-lg.navbar-dark.bg-primary
  a.navbar-brand href="/" = t('app.name')
  button.navbar-toggler type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"
    span.navbar-toggler-icon

  .collapse.navbar-collapse id="navbarSupportedContent"
    .navbar-nav
      .nav-item= link_to t('.home'), root_path, class: 'nav-link'
      / - if can? :read, User #example of link
        .nav-item
          = link_to User.model_name.human(count: 2).titleize, users_path, class: 'dropdown-item'
    
    .navbar-nav.ml-auto
      - if user_signed_in?
        .nav-item.dropdown
          a.nav-link.dropdown-toggle id="navbarDropdown" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false" 
            = current_user.name
          .dropdown-menu.dropdown-menu-right aria-labelledby="navbarDropdown"
            .dropdown-item
              = current_user.email
            .dropdown-item
              = current_user.role  
            .dropdown-divider
            = link_to t('.logout'), destroy_user_session_path, method: :delete, class: 'dropdown-item'
            - if can? :manage, User
              .dropdown-divider
              = link_to User.model_name.human(count: 2).titleize, users_path, class: 'dropdown-item'
      - else
        .nav-item= link_to t('.login'), new_user_session_path, class: 'nav-link'
      
      